Templates
Integration templates for common configurations.
GET /api/integration-templates
List integration templates with pre-configured settings for popular services.
Authentication: Required
Response:
{
"_links": {
"self": { "href": "/api/integration-templates" }
},
"_embedded": {
"inf:integration-template": [
{
"id": "google-drive",
"name": "Google Drive",
"type": "google-drive",
"category": "storage",
"description": "Sync files from Google Drive",
"authType": "oauth2",
"authUri": "https://accounts.google.com/o/oauth2/v2/auth",
"tokenUri": "https://oauth2.googleapis.com/token",
"revocationUri": "https://oauth2.googleapis.com/revoke",
"apiBaseUri": "https://www.googleapis.com/drive/v3",
"scope": "https://www.googleapis.com/auth/drive.readonly",
"basicTokenAuth": false
},
{
"id": "onedrive",
"name": "Microsoft OneDrive",
"type": "onedrive",
"category": "storage",
"description": "Sync files from OneDrive",
"authType": "oauth2",
"authUri": "https://login.microsoftonline.com/common/oauth2/v2.0/authorize",
"tokenUri": "https://login.microsoftonline.com/common/oauth2/v2.0/token",
"apiBaseUri": "https://graph.microsoft.com/v1.0",
"scope": "offline_access Files.Read.All"
},
{
"id": "sharepoint",
"name": "SharePoint",
"type": "sharepoint",
"category": "storage",
"description": "Sync files from SharePoint",
"authType": "oauth2",
"authUri": "https://login.microsoftonline.com/common/oauth2/v2.0/authorize",
"tokenUri": "https://login.microsoftonline.com/common/oauth2/v2.0/token",
"apiBaseUri": "https://graph.microsoft.com/v1.0",
"scope": "offline_access Sites.Read.All"
},
{
"id": "dropbox",
"name": "Dropbox",
"type": "dropbox",
"category": "storage",
"description": "Sync files from Dropbox",
"authType": "oauth2",
"authUri": "https://www.dropbox.com/oauth2/authorize",
"tokenUri": "https://api.dropboxapi.com/oauth2/token",
"apiBaseUri": "https://api.dropboxapi.com/2",
"scope": "files.metadata.read files.content.read"
}
]
},
"start": 0,
"count": 4,
"total": 4
}
Use Cases:
- Display available integrations in UI
- Pre-fill integration creation forms
- Discover OAuth endpoints for custom integrations
Custom Integrations
Templates provide a starting point, but you can create custom integrations with different configurations by modifying the template values when calling POST /api/integrations.